Plans

Re-fetch a URL-backed Context source

POST
/v1/projects/{projectSlug}/plans/{planShortId}/context/{sourceId}/refresh

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

sourceId*string

Context source id.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/plans/string/context/string/refresh"
{  "source": {    "id": "string",    "scope": "TEAM",    "kind": "string",    "sourceKind": "PASTED",    "title": "string",    "description": "string",    "tokenCount": 0,    "folderPath": "string",    "hasFile": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "degraded": true,    "skipped": true,    "replaced": true,    "keptBothAs": "string",    "text": "string",    "textChars": 0,    "url": "string"  }}